Name:          python-websocket-client
Version:       1.4.0
Release:       1mamba
Summary:       Websocket client for Python
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/websocket-client/websocket-client
Source:        https://github.com/liris/websocket-client/archive/v%{version}.tar.gz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython3-devel
BuildRequires: python3.7dist(setuptools)
## AUTOBUILDREQ-END

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n websocket-client-%{version}
# Fix wrong version in setup.py
sed -i "s|1.3.2|%{version}|" setup.py

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python_inc} \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%dir %{python_sitearch}/websocket_client-%{version}-py*.egg-info
%{python_sitearch}/websocket_client-%{version}-py*.egg-info/*
%doc LICENSE

%changelog
* Thu Aug 25 2022 Automatic Build System <autodist@mambasoft.it> 1.4.0-1mamba
- automatic version update by autodist

* Wed Aug 10 2022 Automatic Build System <autodist@mambasoft.it> 1.3.3-1mamba
- automatic version update by autodist

* Tue Mar 29 2022 Automatic Build System <autodist@mambasoft.it> 1.3.2-1mamba
- automatic version update by autodist

* Sat Feb 26 2022 Automatic Build System <autodist@mambasoft.it> 1.3.1-1mamba
- automatic version update by autodist

* Tue Dec 07 2021 Automatic Build System <autodist@mambasoft.it> 1.2.3-1mamba
- automatic version update by autodist

* Tue Dec 07 2021 Automatic Build System <autodist@mambasoft.it> 1.2.2-1mamba
- automatic version update by autodist

* Fri Aug 13 2021 Automatic Build System <autodist@mambasoft.it> 1.2.1-1mamba
- automatic version update by autodist

* Wed Aug 11 2021 Automatic Build System <autodist@mambasoft.it> 1.2.0-1mamba
- automatic version update by autodist

* Fri Aug 06 2021 Automatic Build System <autodist@mambasoft.it> 1.1.1-1mamba
- automatic version update by autodist

* Thu Jun 10 2021 Automatic Build System <autodist@mambasoft.it> 1.1.0-1mamba
- automatic version update by autodist

* Wed May 26 2021 Automatic Build System <autodist@mambasoft.it> 1.0.1-1mamba
- automatic version update by autodist

* Tue May 18 2021 Automatic Build System <autodist@mambasoft.it> 1.0.0-1mamba
- automatic version update by autodist

* Mon May 10 2021 Automatic Build System <autodist@mambasoft.it> 0.59.0-1mamba
- automatic version update by autodist

* Thu Mar 04 2021 Automatic Build System <autodist@mambasoft.it> 0.58.0-1mamba
- automatic version update by autodist

* Tue Dec 31 2019 Automatic Build System <autodist@mambasoft.it> 0.57.0-1mamba
- automatic version update by autodist

* Thu Mar 21 2019 Automatic Build System <autodist@mambasoft.it> 0.56.0-1mamba
- automatic version update by autodist

* Thu Nov 01 2018 Automatic Build System <autodist@mambasoft.it> 0.54.0-1mamba
- automatic version update by autodist

* Mon Sep 10 2018 Automatic Build System <autodist@mambasoft.it> 0.53.0-1mamba
- automatic version update by autodist

* Mon Sep 03 2018 Automatic Build System <autodist@mambasoft.it> 0.52.0-1mamba
- automatic version update by autodist

* Mon Aug 20 2018 Automatic Build System <autodist@mambasoft.it> 0.51.0-1mamba
- automatic version update by autodist

* Sun Aug 19 2018 Automatic Build System <autodist@mambasoft.it> 0.50.0-1mamba
- automatic version update by autodist

* Wed Aug 15 2018 Automatic Build System <autodist@mambasoft.it> 0.49.0-1mamba
- automatic version update by autodist

* Sun May 27 2018 Automatic Build System <autodist@mambasoft.it> 0.48.0-1mamba
- automatic version update by autodist

* Wed Feb 28 2018 Automatic Build System <autodist@mambasoft.it> 0.47.0-1mamba
- automatic version update by autodist

* Fri Jan 05 2018 Automatic Build System <autodist@mambasoft.it> 0.46.0-1mamba
- automatic version update by autodist

* Mon Jan 01 2018 Automatic Build System <autodist@mambasoft.it> 0.45.0-1mamba
- automatic version update by autodist

* Sat Dec 10 2016 Automatic Build System <autodist@mambasoft.it> 0.40.0-1mamba
- automatic version update by autodist

* Fri Dec 02 2016 Automatic Build System <autodist@mambasoft.it> 0.39.0-1mamba
- automatic version update by autodist

* Sat Oct 15 2016 Davide Madrisan <davide.madrisan@gmail.com> 3.2-1mamba
- package created using the webbuild interface